import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { DeleteDataMigrationResponseFilterSensitiveLog, } from "../models/models_0";
import { de_DeleteDataMigrationCommand, se_DeleteDataMigrationCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class DeleteDataMigrationCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "DeleteDataMigration", {})
    .n("DatabaseMigrationServiceClient", "DeleteDataMigrationCommand")
    .f(void 0, DeleteDataMigrationResponseFilterSensitiveLog)
    .ser(se_DeleteDataMigrationCommand)
    .de(de_DeleteDataMigrationCommand)
    .build() {
}
